
@extends('layouts.nav')
@section('title')
Daily Rates
@endsection
@section('content')               


<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Daily Rates</h1>
                      </div>

                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Add Daily Rate</h6>
                        </div>
                        @if (session('success'))
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                {{ session('success') }}
                            </div>
                        @endif
                      
                        @if ($errors->any())

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                @foreach ($errors->all() as $error)
                                                <div style="color: red; ">{{ $error }}</div>
                                                @endforeach
                                        
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                            <form class="card-body" action="{{route('addRate')}}" method="post"  id="accountTypeForm">
                            @csrf
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-6 mb-3 mb-sm-0">
                                    <select class="form-control form-control-user" id="currency" name="currency"  value="{{ old('currency') }}"  required>
                                        <option value="" disabled selected>Select Currency</option>

                                        @foreach ($allcurrencys as $allcurrency)
                                        
                                        <option value="{{ $allcurrency->ID }}">{{ $allcurrency->Name }}</option>
                                          
                                        @endforeach
                                    </select>
                                    </div>
                                    <div class="col-sm-6">
                                        <input type="text" class="form-control form-control-user" id="rate" placeholder="Rate" name="rate"  value="{{ old('rate') }}" required >
                                    </div>
                                    
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;"   type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Entry Date</th>
                                            <th>Symbol</th>
                                            <th>Currency</th>
                                            <th>Rate</th>
                                            <th>Buy Rate</th>
                                         
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Entry Date</th>
                                            <th>Symbol</th>
                                            <th>Currency</th>
                                            <th>Rate</th>
                                            <th>Buy Rate</th>
                                            

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                      
                                    @foreach ($rates as $rate)
                                            <tr>
                                        
                                                <td>{{ $rate->EntryDate }}</td> 
                                                <td>{{ $rate->Symbol }}</td>
                                                <td>{{ $rate->Name }}</td> 
                                                <td>{{ $rate->Rate }}</td>
                                                <td>{{ $rate->HC.': '.$rate->BR }}</td>
                            
                                                
                                                
                                            </tr>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    

                    @endsection