

<?php $__env->startSection('title'); ?>
Floors
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>               

<div class="d-sm-flex align-items-center justify-content-between mb-4">
                        <h1 class="h3 mb-0 text-gray-800">Property Floors</h1>
                      </div>
                  
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary"   id="formHeader">Create Floor</h6>
                        </div>
                        <?php if(session('success')): ?>
                            <div class="alert alert-success" id="successMessage"  style="margin: 20px;">
                                <?php echo e(session('success')); ?>

                            </div>
                        <?php endif; ?>
                      
                        <?php if($errors->any()): ?>

                                    <div class="form-group"  id="successMessage"  style="margin: 20px;">
                                        <div class="card bg-warning text-white shadow">
                                            <div class="card-body">
                                        
                                                <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div style="color: red; "><?php echo e($error); ?></div>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        
                                            </div>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            <form class="card-body" action="<?php echo e(route('addfloors')); ?>" method="post"  id="accountTypeForm">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" id="accountId" name="id" value="">
                                
                                <div class="form-group row">
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                    <input type="text" class="form-control form-control-user" id="name" placeholder="Floor Number" name="name"  value="<?php echo e(old('name')); ?>" required>
                                    
                                    </div>
                                    <div class="col-sm-4 mb-3 mb-sm-0">
                                        <input type="text" class="form-control form-control-user" id="space" placeholder="Space" name="space"  value="<?php echo e(old('space')); ?>" required>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control form-control-user" id="rooms" placeholder="Rooms" name="rooms"  value="<?php echo e(old('rooms')); ?>" required   >
                                    </div>
                                </div>


                               <div style="display: flex;">
                               <input type="submit" style="width: 100px;height: 40px; margin-right: 10px; margin-top: 6px" value="Create" class="btn btn-primary btn-user btn-block" id="submitButton"/>

                                <input style="width: 100px;" onclick="refreshAccountType('', '', '', '')"  type="reset" value="Refresh" class="btn btn-secondary btn-user btn-block"  onclick="hideMessages()"/>
                                    
                               </div>
                                
                                <hr>
                             </form>
                   
                        
                        
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Floor Number</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tfoot>
                                        <tr>
                                        
                                        
                                        <th>Floor Number</th>
                                            <th>Space</th>
                                            <th>Rooms</th>
                                            <th>Action</th>

                                        </tr>
                                    </tfoot>
                                    <tbody>
                                       
                                    <?php $__currentLoopData = $floors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $floor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                        
                                                <td><?php echo e($floor->FloorNumber); ?></td> 
                                                <td><?php echo e($floor->Space); ?></td>
                                                <td><?php echo e($floor->Rooms); ?></td>
                                               
                                                 

                                                <td style="justify-content: center; align-items: center;">
                                                  
                                                    <a href="" onclick="editAccountType(event,'<?php echo e($floor->ID); ?>', '<?php echo e($floor->FloorNumber); ?>', '<?php echo e($floor->Space); ?>', '<?php echo e($floor->Rooms); ?>')"  class="btn btn-primary btn-circle" >
                                                    <i class="fas fa-edit"></i>
                                                    </a>
                                                    <a href="<?php echo e(route('deletefloors', ['id' => $floor->ID])); ?>" class="btn btn-danger btn-circle"   onclick="return confirmDelete('<?php echo e($floor->FloorNumber); ?>');" >
                                                        <i class="fas fa-trash"></i>
                                                    </a>
                                                </td>
                                                
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                           
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        
                    </div>

                    <script>
                             function editAccountType(event, id, FloorNumber,Space, Rooms) 
                             {
                                event.preventDefault();
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = FloorNumber;
                                document.getElementById('space').value = Space;
                                document.getElementById('rooms').value = Rooms;
                                document.getElementById('formHeader').innerText = 'Edit Floor';
                                document.getElementById('submitButton').value = 'Update';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("editfloors")); ?>';
                            }
                
                            function refreshAccountType(id, FloorNumber,Space, Rooms) 
                            {
                                document.getElementById('accountId').value = id;
                                document.getElementById('name').value = FloorNumber;
                                document.getElementById('space').value = Space;
                                document.getElementById('rooms').value = Rooms;
                                document.getElementById('formHeader').innerText = 'Create Floor';
                                document.getElementById('submitButton').value = 'Create';
                                document.getElementById('accountTypeForm').action = '<?php echo e(route("addfloors")); ?>';
                                hideMessages();
                            
                            }

                            function confirmDelete(Name) {
                                return confirm("Are you sure you want to delete the Floor: " + Name + "?");
                            }


                
                </script>

                    <?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.nav', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\rmune\Documents\Comarsoft\Projects\laravel\realestate\resources\views//Floor.blade.php ENDPATH**/ ?>